#ifndef Parser
#define Parser
#include "formule.hpp"
#include <iostream>
/** Lit une formule sur un lux d'entree */
formule lit_formule(istream & input);
/** Lit une formule dans une string */
formule lit_formule(const string & s);
/** Lit plusieurs formules séparées par \n dans un flux d'entrée. \n\n ou la fin du flux indiquent la fin de la liste. */
vector<formule> lit_formules(istream & input);
/** Lit plusieurs formules séparées par \n dans une string */
vector<formule> lit_formules(const string & s);
#endif
